#include PLATFORM_HEADER

/** @brief Called in interrupt context whenever a button
 * changes its state.
 *
 * @appusage Must be implemented by the application. This function should
 * contain the functionality to be executed in response to changes of state
 * in each of the buttons or callbacks to the appropriate functionality.
 *
 * @param button  The button which has changed state, either BUTTON0 or BUTTON1
 * as defined in the appropriate BOARD_HEADER.
 *
 * @param state   The new state of the button referenced by the button parameter,
 * either ::BUTTON_PRESSED if the button has been pressed or ::BUTTON_RELEASED if
 * the button has been released.
 */
void halButtonIsr(uint8_t button, uint8_t state)
{
}
